<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <RootNamespace>adas_core.module.ProxyDevices</RootNamespace>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
    </PropertyGroup>

    <ItemGroup>
        <Compile Remove="Controllers\**" />
        <EmbeddedResource Remove="Controllers\**" />
        <None Remove="Controllers\**" />
    </ItemGroup>

    <ItemGroup>
        <PackageReference Include="AuditLogs" Version="1.0.59" />
        <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="10.0.9" />
        <PackageReference Include="Microsoft.Extensions.Hosting" Version="10.0.9" />
        <PackageReference Include="Serilog" Version="4.3.1" />
        <PackageReference Include="SharpCompress" Version="0.49.1" />
        <PackageReference Include="Snappier" Version="1.3.1" />
    </ItemGroup>


</Project>
